fgl-5.7.0.1: Martin Erwig's Functional Graph Library

Safe Haskell | Safe
Language | Haskell98

Data.Graph.Inductive.Query.Dominators

Synopsis

- dom :: Graph gr => gr a b -> Node -> [(Node, [Node])]
- iDom :: Graph gr => gr a b -> Node -> [(Node, Node)]

# Documentation

dom :: Graph gr => gr a b -> Node -> [(Node, [Node])] #

return the set of dominators of the nodes of a graph, given a root

iDom :: Graph gr => gr a b -> Node -> [(Node, Node)] #

return immediate dominators for each node of a graph, given a root